Attribute VB_Name = "basDXTrans"
' DirectX Transform support

Option Explicit

'Public Enum DXBNDID
'    DXB_X = 0
'    DXB_Y = 1
'    DXB_Z = 2
'    DXB_T = 3
'End Enum

Public Type DXDBND
    Min As Long
    Max As Long
End Type

Public Type DXBNDS
    Dummy1 As Long
    Dummy2 As Long
    D_DXB_X As DXDBND
    D_DXB_Y As DXDBND
    D_DXB_Z As DXDBND
    D_DXB_T As DXDBND
End Type

' CLSIDs
Public CLSID_DXSurfaceModifier As Win32.GUID
Public CLSID_DXTransformFactory As Win32.GUID
' IIDs
Public IID_IDXSurface As Win32.GUID
Public IID_IDXSurfaceFactory As Win32.GUID
Public IID_IDXSurfaceModifier As Win32.GUID
Public IID_IDXTransform As Win32.GUID
Public IID_IDXTransformFactory As Win32.GUID
' Pixel formats
Public DDPF_PMARGB32 As Win32.GUID

Public Sub DXTransInitialize()
    ' CLSIDs
    IIDFromString StrPtr("{3E669F1D-9C23-11d1-9053-00C04FD9189D}"), CLSID_DXSurfaceModifier
    IIDFromString StrPtr("{D1FE6762-FC48-11D0-883A-3C8B00C10000}"), CLSID_DXTransformFactory
    ' IIDs
    IIDFromString StrPtr("{B39FD73F-E139-11d1-9065-00C04FD9189D}"), IID_IDXSurface
    IIDFromString StrPtr("{144946F5-C4D4-11d1-81D1-0000F87557DB}"), IID_IDXSurfaceFactory
    IIDFromString StrPtr("{9EA3B637-C37D-11d1-905E-00C04FD9189D}"), IID_IDXSurfaceModifier
    IIDFromString StrPtr("{9EA3B634-C37D-11d1-905E-00C04FD9189D}"), IID_IDXTransform
    IIDFromString StrPtr("{6A950B2B-A971-11d1-81C8-0000F87557DB}"), IID_IDXTransformFactory
    ' Pixel formats
    IIDFromString StrPtr("{bbf7d403-143f-11d1-b50a-0000f8756a10}"), DDPF_PMARGB32
End Sub
